Package com.scriptel.proscript.cardswipe

## Class IdentificationCard

- java.lang.Object
- - com.scriptel.proscript.cardswipe.IdentificationCard

-     public final class IdentificationCard
      extends java.lang.Object

  This class represents an identification card such as a United States drivers license.
  See Also:
    http://www.aamva.org/?aspxerrorpath=/NR/rdonlyres/66260AD6-64B9-45E9-A253-B8AA32241BE0/0/2005DLIDCardSpecV2FINAL.pdf

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentificationCard​(IdentificationCardTrackOne trackOne, IdentificationCardTrackTwo trackTwo, IdentificationCardTrackThree trackThree)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdentificationCardTrackOne` | `getTrackOne()` | Gets parsed track one data.
    `IdentificationCardTrackThree` | `getTrackThree()` | Gets track three data.
    `IdentificationCardTrackTwo` | `getTrackTwo()` | Gets parsed track two data.
    `static IdentificationCard` | `parse​(java.lang.String cardData)` | This method attempts to parse identification card information out of a raw magnetic strip string.
    `java.lang.String` | `toString()` | Returns this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentificationCard

          public IdentificationCard​(IdentificationCardTrackOne trackOne,
                                    IdentificationCardTrackTwo trackTwo,
                                    IdentificationCardTrackThree trackThree)

  - ### Method Detail

    - #### parse

          public static IdentificationCard parse​(java.lang.String cardData)

      This method attempts to parse identification card information out of a raw magnetic strip string.
      Parameters:
        `cardData` - Card data to parse.
      Returns:
        Identification Card data if parsed, null otherwise.

    - #### toString

          public java.lang.String toString()

      Returns this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing human readable string.

    - #### getTrackOne

          public IdentificationCardTrackOne getTrackOne()

      Gets parsed track one data.
      Returns:
        Track one data.

    - #### getTrackTwo

          public IdentificationCardTrackTwo getTrackTwo()

      Gets parsed track two data.
      Returns:
        parsed track two data.

    - #### getTrackThree

          public IdentificationCardTrackThree getTrackThree()

      Gets track three data.
      Returns:
        Parsed track three data.